Out-of-bounds Write Affecting libjpeg-turbo package, versions *


low

Snyk CVSS

    Attack Complexity Low
    User Interaction Required
    Availability High
Expand this section
NVD
5.5 medium
Expand this section
Red Hat
5.5 medium

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-DEBIAN11-LIBJPEGTURBO-2932112
  • published 20 Jun 2022
  • disclosed 18 Jun 2022

How to fix?

There is no fixed version for Debian:11 libjpeg-turbo.

NVD Description

Note: Versions mentioned in the description apply only to the upstream libjpeg-turbo package and not the libjpeg-turbo package as distributed by Debian:11. See How to fix? for Debian:11 relevant fixed versions and status.

The PPM reader in libjpeg-turbo through 2.0.90 mishandles use of tjLoadImage for loading a 16-bit binary PPM file into a grayscale buffer and loading a 16-bit binary PGM file into an RGB buffer. This is related to a heap-based buffer overflow in the get_word_rgb_row function in rdppm.c.

References